Subject: bug#25390: Segfault with sed 4.3

From: Assaf Gordon <[email-masked]>
Date: Tue, 10 Jan 2017 00:27:09 -0500

Hello all,

> On Jan 9, 2017, at 09:11, Norihiro Tanaka <[email-masked]> wrote:
> 
> Sorry, I adjusted commit log, New patch does not change
> testsuite/Makefile.tests.
> <0001-tests-new-test-for-dfa-crash-bug.patch>

Paul,
Thank you for the quick fix.

Norihiro,
Thank you for the dfa improvements and sed-tests.

Using your example of:
   printf '0123456789abcd\nx\n' | valgrind ./sed/sed 'N;s/0123456789abcd\n//'
I wasn't able to trigger the segfault (or even a valgrind warning) on sed-4.3 / x86_64.

I suggest modifying the input just a bit, making it slightly more similar to the original bug report - with it I'm able to always reproduce the segfault:
   printf "abcdefg abcdefg\nB\n" | valgrind ./sed/sed 'N;s/abcdefg.*\n//'

What do you think ?

I'm also considering duplicating the test - once with and once without valgrind.
Is this warranted or an overkill ?

Attach patch contains updated tests (and slightly modified git-comment).
The second commit updates gnulib (comes after adding the tests just temporarily, to make testing before/after gnulib update easier).

comments welcomed,
 - assaf